### Method

# Gimp Config deserialize_property

since: 2.4

#### Declaration [src]

    GTokenType
    gimp_config_deserialize_property (
      GimpConfig* config,
      GScanner* scanner,
      gint nest_level
    )

#### Description [src]

This function deserializes a single property of `config`. You shouldn’t need to call this function directly. If possible, use `gimp_config_deserialize_properties()` instead.

Available since: 2.4

#### Parameters

`scanner`

  Type: `GScanner`

  A `GScanner`.

  The data is owned by the caller of the method.

`nest_level`

  Type: `gint`

  The nest level.

#### Return value

Type: `GTokenType`

`G_TOKEN_RIGHT_PAREN` on success, otherwise the expected `GTokenType` or `G_TOKEN_NONE` if the expected token was found but couldn’t be parsed.